WP6BoxGroup Class Reference

`#include <WP6BoxGroup.h>`

Inheritance diagram for WP6BoxGroup:

## Public Member Functions

| WP6BoxGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP6Listener *listener) override
Public Member Functions inherited from WP6VariableLengthGroup
| WP6VariableLengthGroup ()
| ~WP6VariableLengthGroup () override
Public Member Functions inherited from WP6Part
virtual | ~WP6Part ()

## Private Attributes

unsigned char | m_generalPositioningFlagsMask
unsigned char | m_generalPositioningFlagsData
bool | m_hasHorizontalPositioning
unsigned char | m_horizontalPositioningFlags
signed short | m_horizontalOffset
unsigned char | m_leftColumn
unsigned char | m_rightColumn
bool | m_hasVerticalPositioning
unsigned char | m_verticalPositioningFlags
signed short | m_verticalOffset
bool | m_hasWidthInformation
unsigned char | m_widthFlags
unsigned short | m_width
bool | m_hasHeightInformation
unsigned char | m_heightFlags
unsigned short | m_height
bool | m_hasZOrderInformation
unsigned char | m_zOrderFlags
bool | m_hasBoxContentType
unsigned char | m_boxContentType
unsigned short | m_nativeWidth
unsigned short | m_nativeHeight

## Additional Inherited Members

Static Public Member Functions inherited from WP6VariableLengthGroup
static WP6VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP6Part
static WP6Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)
Protected Member Functions inherited from WP6VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getSubGroup () const
unsigned short | getSize () const
unsigned char | getFlags () const
unsigned char | getNumPrefixIDs () const
const unsigned short * | getPrefixIDs () const
unsigned short | getSizeNonDeletable () const
unsigned short | getSizeDeletable () const

## Constructor & Destructor Documentation

## WP6BoxGroup()

WP6BoxGroup::WP6BoxGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

## Member Function Documentation

## _readContents()

void WP6BoxGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

override virtual

Reimplemented from WP6VariableLengthGroup.

## parse()

void WP6BoxGroup::parse | ( | WP6Listener * | listener | ) |

override virtual

Implements WP6Part.

## Member Data Documentation

## m_boxContentType

unsigned char WP6BoxGroup::m_boxContentType

private

Referenced by _readContents(), parse(), and WP6BoxGroup().

## m_generalPositioningFlagsData

unsigned char WP6BoxGroup::m_generalPositioningFlagsData

private

Referenced by _readContents(), parse(), and WP6BoxGroup().

## m_generalPositioningFlagsMask

unsigned char WP6BoxGroup::m_generalPositioningFlagsMask

private

Referenced by _readContents(), parse(), and WP6BoxGroup().

## m_hasBoxContentType

bool WP6BoxGroup::m_hasBoxContentType

private

Referenced by _readContents(), parse(), and WP6BoxGroup().

## m_hasHeightInformation

bool WP6BoxGroup::m_hasHeightInformation

private

Referenced by _readContents(), parse(), and WP6BoxGroup().

## m_hasHorizontalPositioning

bool WP6BoxGroup::m_hasHorizontalPositioning

private

Referenced by _readContents(), parse(), and WP6BoxGroup().

## m_hasVerticalPositioning

bool WP6BoxGroup::m_hasVerticalPositioning

private

Referenced by _readContents(), parse(), and WP6BoxGroup().

## m_hasWidthInformation

bool WP6BoxGroup::m_hasWidthInformation

private

Referenced by _readContents(), parse(), and WP6BoxGroup().

## m_hasZOrderInformation

bool WP6BoxGroup::m_hasZOrderInformation

private

Referenced by _readContents(), and WP6BoxGroup().

## m_height

unsigned short WP6BoxGroup::m_height

private

Referenced by _readContents(), parse(), and WP6BoxGroup().

## m_heightFlags

unsigned char WP6BoxGroup::m_heightFlags

private

Referenced by _readContents(), parse(), and WP6BoxGroup().

## m_horizontalOffset

signed short WP6BoxGroup::m_horizontalOffset

private

Referenced by _readContents(), parse(), and WP6BoxGroup().

## m_horizontalPositioningFlags

unsigned char WP6BoxGroup::m_horizontalPositioningFlags

private

Referenced by _readContents(), parse(), and WP6BoxGroup().

## m_leftColumn

unsigned char WP6BoxGroup::m_leftColumn

private

Referenced by _readContents(), parse(), and WP6BoxGroup().

## m_nativeHeight

unsigned short WP6BoxGroup::m_nativeHeight

private

Referenced by _readContents(), parse(), and WP6BoxGroup().

## m_nativeWidth

unsigned short WP6BoxGroup::m_nativeWidth

private

Referenced by _readContents(), parse(), and WP6BoxGroup().

## m_rightColumn

unsigned char WP6BoxGroup::m_rightColumn

private

Referenced by _readContents(), parse(), and WP6BoxGroup().

## m_verticalOffset

signed short WP6BoxGroup::m_verticalOffset

private

Referenced by _readContents(), parse(), and WP6BoxGroup().

## m_verticalPositioningFlags

unsigned char WP6BoxGroup::m_verticalPositioningFlags

private

Referenced by _readContents(), parse(), and WP6BoxGroup().

## m_width

unsigned short WP6BoxGroup::m_width

private

Referenced by _readContents(), parse(), and WP6BoxGroup().

## m_widthFlags

unsigned char WP6BoxGroup::m_widthFlags

private

Referenced by _readContents(), parse(), and WP6BoxGroup().

## m_zOrderFlags

unsigned char WP6BoxGroup::m_zOrderFlags

private

Referenced by _readContents(), and WP6BoxGroup().

The documentation for this class was generated from the following files:

- WP6BoxGroup.h
- WP6BoxGroup.cpp